CON
  Pin  = 7
  Frequency = 6000                                    'DC to 128MHz

OBJ
  Freq : "Synth"

VAR
    long  Stack[100]  
PUB start(address)
    cognew(Sound(address),@Stack)

PUB Sound(address)
    dira[4]~~
    repeat                                              ' continuous loop
      PING(address)                                              ' Send a Ping pulse 1/10th of a second
      waitcnt(cnt+80_000_000)                           ' Pause for 1 second

PUB PING(address)
    outa[4]~~                                           ' make P4 HIGH
    LONG[address] := 1                     
    Freq.Synth("A",Pin, Frequency)                      ' Synth({Counter"A" or Counter"B"},Pin, Freq)
    outa[4]~                                            ' make P4 LOW
    waitcnt(cnt+800000)
    CTRA := 0    